package cn.timer.api.bean.kqmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lal 2020-05-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_asso_relation_summary")
@ApiModel("打卡月汇总关联表")
public class KqglAssoRelationSummary extends Model<KqglAssoRelationSummary> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "用户id 用户id", example = "101")
	private Integer userId;

	@ApiModelProperty(value = "时间 ", example = "年月日")
	private String appTime;

	@ApiModelProperty(value = "审批id 审批id", example = "101")
	private Integer approvalId;

	@ApiModelProperty(value = "审批类型 1:加班 2:请假 3:出差 4:外出 5:补卡", example = "101")
	private Integer approvalType;

	@ApiModelProperty(value = "时长 时长", example = "101")
	private double duration;

	@ApiModelProperty(value = "假期类型id", example = "101")
	private Integer leaveTypeId;

	@ApiModelProperty(value = "加班类型id 1：工作日加班；2：休息日加班；3：节假日加班", example = "101")
	private Integer overtimeTypeId;

	@ApiModelProperty(value = "加班补偿方式 1：转调休；2：转加班费；（3：转调休 4：加班费）", example = "101")
	private Integer compensateId;

	@ApiModelProperty(value = "开始时间 ", example = "开始时间")
	private String startTime;

	@ApiModelProperty(value = "结束时间 ", example = "结束时间")
	private String endTime;
	@ApiModelProperty(value = "企业组织代码 ", example = "企业组织代码")
	private Integer orgCode;
}